<?php
/**
 * @author skoetzing
 * @date 07.07.14
 */

namespace DigiComp\Menu;
use TYPO3\Flow\Core\Bootstrap;
use TYPO3\Flow\Package\Package as BasePackage;
use TYPO3\Flow\Annotations as Flow;
use TYPO3\Flow\Configuration\ConfigurationManager;

class Package extends BasePackage{

    public function boot(Bootstrap $bootstrap){
        parent::boot($bootstrap);

        $dispatcher = $bootstrap->getSignalSlotDispatcher();
        $dispatcher->connect('TYPO3\Flow\Configuration\ConfigurationManager', 'configurationManagerReady',
        function(ConfigurationManager $configurationManager){
           $configurationManager->registerConfigurationType('Menu');
        });
    }

} 